Bug 1064524 - Wrong SELinux type in dokuwiki-selinux package
Summary: Wrong SELinux type in dokuwiki-selinux package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dokuwiki
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-12 18:58 UTC by Manuel Faux
Modified: 2015-03-26 22:07 UTC (History)
2 users (show)

Fixed In Version: dokuwiki-0-0.24.20140929c.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-25 19:58:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Manuel Faux 2014-02-12 18:58:45 UTC
Description of problem:
In the dokuwiki-selinux package, the SELinux type "httpd_sys_content_rw_t" is used, which does not exist. Actually the type is called "httpd_sys_rw_content_t".

Version-Release number of selected component (if applicable):
0-0.21.20131208.fc20

How reproducible:
Install dokuwiki-selinux from Fedora repo. The files in /etc/dokuwiki and /usr/share/dokuwiki/lib/plugins have "wrong" SELinux types, which deny httpd to write to those directories.

Actual results:
/etc/dokuwiki/* and /usr/share/dokuwiki/lib/plugins/* have SELinux types etc_t and httpd_sys_content_t, respectively.

Expected results:
Directories /etc/dokuwiki/* and /usr/share/dokuwiki/lib/plugins/* should have SELinux type httpd_sys_rw_content_t.

Additional info:
I also think that the last line of the "%post selinux" section in the spec file can be ommited, since the one before last already covers that directory recursively:

    restorecon -R '%{_datadir}/%{name}' || :
    restorecon -R '%{_datadir}/%{name}/lib/plugins' || :

Comment 1 Fedora Update System 2014-12-26 15:22:34 UTC
dokuwiki-0-0.23.20140929b.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.el5

Comment 2 Fedora Update System 2014-12-26 15:22:54 UTC
dokuwiki-0-0.23.20140929b.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.el6

Comment 3 Fedora Update System 2014-12-26 15:23:12 UTC
dokuwiki-0-0.23.20140929b.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.fc21

Comment 4 Fedora Update System 2014-12-26 15:23:40 UTC
dokuwiki-0-0.23.20140929b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.fc19

Comment 5 Fedora Update System 2014-12-26 15:23:51 UTC
dokuwiki-0-0.23.20140929b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.fc20

Comment 6 Fedora Update System 2014-12-26 19:48:52 UTC
Package dokuwiki-0-0.23.20140929b.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing dokuwiki-0-0.23.20140929b.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-4917/dokuwiki-0-0.23.20140929b.el5
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-03-03 09:02:03 UTC
dokuwiki-0-0.24.20140929c.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.fc21

Comment 8 Fedora Update System 2015-03-03 09:02:32 UTC
dokuwiki-0-0.24.20140929c.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.el7

Comment 9 Fedora Update System 2015-03-03 09:02:51 UTC
dokuwiki-0-0.24.20140929c.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.el6

Comment 10 Fedora Update System 2015-03-03 09:03:11 UTC
dokuwiki-0-0.24.20140929c.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.fc20

Comment 11 Fedora Update System 2015-03-03 09:03:31 UTC
dokuwiki-0-0.24.20140929c.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.el5

Comment 12 Fedora Update System 2015-03-03 09:03:51 UTC
dokuwiki-0-0.24.20140929c.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.fc22

Comment 13 Fedora Update System 2015-03-25 19:58:24 UTC
dokuwiki-0-0.24.20140929c.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-03-25 20:03:22 UTC
dokuwiki-0-0.24.20140929c.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-03-26 21:39:17 UTC
dokuwiki-0-0.24.20140929c.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-03-26 21:43:56 UTC
dokuwiki-0-0.24.20140929c.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-03-26 22:07:25 UTC
dokuwiki-0-0.24.20140929c.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.